Package fr.gouv.vitam.worker.core.plugin.evidence

# Class DataRectificationService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.evidence.DataRectificationService

public class DataRectificationService extends Object
DataCorrectionService class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdentifierType>`
  `correctObjectGroups(EvidenceAuditReportLine line, String containerName)`
  `Optional<IdentifierType>`
  `correctUnits(EvidenceAuditReportLine line, String containerName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### correctUnits

    public Optional<IdentifierType> correctUnits(EvidenceAuditReportLine line, String containerName) throws InvalidParseOperationException, StorageServerClientException, LogbookClientNotFoundException, LogbookClientServerException, LogbookClientBadRequestException, InvalidGuidOperationException, StorageUnavailableDataFromAsyncOfferClientException
    Throws:
      `InvalidParseOperationException`
      `StorageServerClientException`
      `LogbookClientNotFoundException`
      `LogbookClientServerException`
      `LogbookClientBadRequestException`
      `InvalidGuidOperationException`
      `StorageUnavailableDataFromAsyncOfferClientException`

  - ### correctObjectGroups

    public List<IdentifierType> correctObjectGroups(EvidenceAuditReportLine line, String containerName) throws InvalidParseOperationException, StorageServerClientException, LogbookClientNotFoundException, LogbookClientServerException, LogbookClientBadRequestException, InvalidGuidOperationException, StorageUnavailableDataFromAsyncOfferClientException
    Throws:
      `InvalidParseOperationException`
      `StorageServerClientException`
      `LogbookClientNotFoundException`
      `LogbookClientServerException`
      `LogbookClientBadRequestException`
      `InvalidGuidOperationException`
      `StorageUnavailableDataFromAsyncOfferClientException`